=== debian/changelog ===
strigi (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 20 Apr 2010 20:01:06 +0300

strigi (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format:
    - Remove quilt build dependency.
    - Remove debian/README.source file.
    - Remove quilt option to dh.
  * Add DEP-3 header to 01_remove_FindQt4.cmake_local_copy.diff patch.
  * Update debian/strigi-utils.install: add rdfindexer.

 -- Fathi Boudra <fabo@debian.org>  Thu, 07 Jan 2010 12:33:03 +0100

strigi (0.7.0-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Update debian/control:
    - drop cdbs build dependency.
    - bump debhelper and pkg-kde-tools build dependencies version.
    - bump Standards-Version from 3.8.1 to 3.8.3 (no changes needed).
    - update strigi-dbg section: debug.
  * Add debian/deskbar-plugins-strigi.install file.
  * Update debian/libstreamanalyzer0.install:
    - add new rdfs files.
  * Add debian/README.source file.
  * Convert debian/rules to dh usage.

  [ Sune Vuorela ]
  * Add libstreams-dev dependency to libstrigiqtdbusclient-dev.

 -- Fathi Boudra <fabo@debian.org>  Sun, 16 Aug 2009 19:39:42 +0200

strigi (0.6.5-1) unstable; urgency=low

  * New upstream release.
  * Bump compat/debehlper to 7.
  * Bump Standards-Version to 3.8.1. No changes needed.
  * Update libstreamanalyzer0 package: add homeless.rdfs.
  * Update libstreamanalyzer0 symbols file:
    - add AnalysisResult::child() and AnalysisResult::addTriplet()

 -- Fathi Boudra <fabo@debian.org>  Mon, 13 Apr 2009 21:11:06 +0200

strigi (0.6.4+svn931153-2) unstable; urgency=low

  * Update symbols files.

 -- Fathi Boudra <fabo@debian.org>  Sun, 08 Mar 2009 19:17:44 +0100

strigi (0.6.4+svn931153-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Add debug package.
  * Add Build-Depends-Package to symbols files.

  [ Modestas Vainius ]
  * Add symbols.in files for libstreamanalyzer and libstreams.
    Build depend on pkg-kde-tools 0.3.1 to get the symbolshelper.

  [Ana Beatriz Guerrero Lopez]
  * Update symbols for newer upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Jan 2009 12:45:20 +0100

strigi (0.6.3-1) experimental; urgency=low

  * New upstream release.
  * Add symbols files for amd64 and i386 architectures.
  * Remove 03_fix_ftbfs_with_gcc_4.4_bug505624.diff patch. Merged upstream.

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Jan 2009 11:08:25 +0100

strigi (0.6.2-1) experimental; urgency=low

  * New upstream release.
  * Remove 02_strigi_branch_r872482.diff patch. Deprecated.
  * Update libstreamanalyzer0 package: add strigiea_jpeg plugin.
  * Fix lintian warning: debhelper-but-no-misc-depends.

 -- Fathi Boudra <fabo@debian.org>  Sat, 03 Jan 2009 18:10:23 +0100

strigi (0.5.11-2) unstable; urgency=low

  * Add 02_strigi_branch_r872482.diff patch:
    - install header indexpluginloader.h
  * Update debian/libstreamanalyzer-dev.install:
    - install header indexpluginloader.h
  * Add 03_fix_ftbfs_with_gcc_4.4_bug505624.diff patch:
    - Fix FTBFS with GCC 4.4 . Thanks to Martin Michlmayr. (Closes: #505624)

 -- Fathi Boudra <fabo@debian.org>  Sun, 16 Nov 2008 13:25:39 +0100

strigi (0.5.11-1) unstable; urgency=low

  * New upstream release.
  * Bump Standard-Version to 3.8.0.

 -- Fathi Boudra <fabo@debian.org>  Mon, 21 Jul 2008 21:37:17 +0200

strigi (0.5.10-1) unstable; urgency=low

  * New upstream release.
  * Remove FindQt4.cmake to use cmake provided file.
  * Cleanup rules: remove useless commented lines and g++ hack.

 -- Fathi Boudra <fabo@debian.org>  Wed, 04 Jun 2008 10:18:03 +0200

strigi (0.5.9-1) unstable; urgency=low

  * New upstream release.
  * Update FindQt4.cmake local copy.

 -- Fathi Boudra <fabo@debian.org>  Mon, 28 Apr 2008 22:01:19 +0200

strigi (0.5.8-2) experimental; urgency=low

  [Ana Beatriz Guerrero Lopez]

  * Build against Qt 4.4 in experimental:
    - Add versioned build depend for libqt4-dev on >= 4.4.0~.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 28 Mar 2008 12:54:14 +0100

strigi (0.5.8-1) unstable; urgency=low

  * New upstream release.
  * Remove branch pull patch.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Add Replaces kdegraphics-strigi-plugins as ico analyzer can be found
    inside.

 -- Fathi Boudra <fabo@debian.org>  Wed, 20 Feb 2008 09:36:50 +0100

strigi (0.5.7-2) unstable; urgency=low

  * Update branch pull patch to r760102.
  * Remove our cmake.mk. Merged in CDBS package.
  * Clean up build dependencies.
  * Update my e-mail address.
  * Bump Standard-Version to 3.7.3.
  * Use Homepage field.
  * Update installed files.
  * Build with --no-undefined and --as-needed linker flags.
  * Remove libstreams-dev dependency on libstdc++-dev. (Closes: #454995)
  * Add strict versioned shlibs. (Closes: #460296)
  * Add CMAKE_CXX_COMPILER:FILEPATH=g++ to workaround g++ path not properly
    set.

 -- Fathi Boudra <fabo@debian.org>  Sat, 12 Jan 2008 22:57:56 +0100

strigi (0.5.7-1) unstable; urgency=low

  * New upstream release.
  * Update branch pull patch to r729946.
  * Add query.h, queryparser.h and variant.h to libstreamanalyzer-dev package.

 -- Fathi Boudra <fboudra@free.fr>  Fri, 26 Oct 2007 19:15:00 +0200

strigi (0.5.6-1) unstable; urgency=low

  * New upstream release.
  * Add branch pull patch to r727526.
  * Add build dependencies: bison, libcppunit-dev, libexiv2-dev, libxml2-utils.
  * Update libstreamanalyzer* packages:
    * Add clucene index plugin.
    * Add strigiea_jpeg plugin.
    * Replace fieldproperties/strigi_* by xesam.rdfs.
    * Add new include files.
  * Update include files in libstreams-dev package.
  * Remove watch file. Upstream website is not always updated with the release.
  * Remove libcluceneindex* packages.
  * Update Homepage.
  * Add strict version dependency on -dev packages. Thanks to Sune.

 -- Fathi Boudra <fboudra@free.fr>  Sat, 20 Oct 2007 14:57:40 +0200

