=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

FILENAME := $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
UPFILENAME := $(DEB_SOURCE_PACKAGE)-$(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/~/-/').tar.bz2
URL := http://www.vandenoever.info/software/strigi/$(UPFILENAME)
CURRENTVERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
LIBPKGS := $(shell dh_listpackages | grep libs | sed -e '/dev/d;')

%:
	dh $@ --parallel --list-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
		-DCMAKE_LD_FLAGS="-Wl,-z,defs" \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_pysupport:
	dh_pysupport /usr/lib/deskbar-applet/handlers

override_dh_clean:
	dh_clean
	rm -f debian/shlibs.local
#	rm -f debian/libstreams0.symbols.$(DEB_HOST_ARCH)
#	rm -f debian/libstreamanalyzer0.symbols.$(DEB_HOST_ARCH)

override_dh_makeshlibs:
	dh_makeshlibs -V
	for pkg in $(LIBPKGS); do \
		sed 's/>=[^)]*/= $(CURRENTVERSION)/' debian/$$pkg/DEBIAN/shlibs >> debian/shlibs.local; \
	done

override_dh_strip:
	dh_strip --dbg-package=strigi-dbg
#	for pkg in libstreams0 libstreamanalyzer0; do \
		pkgkde-symbolshelper symbolfile -p $$pkg -o debian/$${pkg}.symbols.$(DEB_HOST_ARCH); \
		pkgkde-symbolshelper postgensymbols -p $$pkg -v; \
	done

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ] || mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -N -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo Converting $(UPFILENAME) to $(FILENAME)
	@@bzcat ../tarballs/$(UPFILENAME) | gzip -9 > ../tarballs/$(FILENAME)

.PHONY: override_dh_auto_test
