=== debian/changelog ===
strigi (0.7.6-2) unstable; urgency=low

  * Add Revert_patch_that_breaks_parsing_of_PDF_files.patch from upstream.
    (Closes: #642318)
  * Improve strigi-daemon descritpion. (Closes: #571297)

 -- Fathi Boudra <fabo@debian.org>  Fri, 23 Sep 2011 10:42:37 +0300

strigi (0.7.6-1) unstable; urgency=low

  * New upstream release.
  * Drop debian/patches/01_remove_FindQt4.cmake_local_copy.diff - merged
    upstream.
  * Update debian/compat: bump to 8.
  * Update debian/control:
    - bump debehlper to 8.1.3~.
    - add dbus-x11, libavcodec-dev, libavformat-dev, libpostproc-dev and
      libswscale-dev build dependencies.
    - drop pkg-kde-tools build dependency - not used.
    - drop python and python-support build dependencies.
    - bump Standard-Version to 3.9.2, use Breaks instead of Conflicts.
    - drop deskbar-plugins-strigi package.
  * Drop debian/libstreams0.docs file - not used anymore.
  * Update debian/*-dev.install files.
  * Update debian/rules:
    - drop useless override_dh_{pysupport, strip}.
    - remove unused commented lines.
  * Update symbols files.

 -- Fathi Boudra <fabo@debian.org>  Tue, 20 Sep 2011 08:50:25 +0300
