=== debian/control ===
Source: strigi
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.0),
               dbus-x11,
               debhelper (>= 8.1.3~),
               libavcodec-dev,
               libavformat-dev,
               libboost-dev,
               libbz2-dev,
               libclucene-dev (>= 0.9.21b),
               libdbus-1-dev,
               libexiv2-dev,
               libpostproc-dev,
               libqt4-dev (>= 4.4.3),
               libswscale-dev,
               libxml2-dev,
               libxml2-utils,
               zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://strigi.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/strigi/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/strigi/trunk

Package: strigi-daemon
Architecture: any
Depends: dbus-x11 | dbus, poppler-utils, ${misc:Depends}, ${shlibs:Depends}
Suggests: strigi-plugins
Description: fast indexing and searching tool for your personal data (daemon)
 Strigi is a program for fast indexing and searching your personal data. It can
 gather and index information from files in the filesystem even if they are
 hidden in emails or archives. It comes with a Qt4 GUI, an HTML GUI and a KDE
 GUI.
 .
 Main features:
  * very fast crawling
  * very small memory footprint
  * no hammering of the system
  * clucene backend
  * DBus and socket interfaces are available for communication between daemon
    and search programs
  * simple interface for implementing plugins for extracting information. we'll
    try to reuse the kat plugins, although native plugins will have a large
    speed advantage
  * calculation of sha1 for every file crawled (allows fast finding of
    duplicates)
 .
 This package contains the Strigi daemon

Package: strigi-client
Architecture: any
Section: x11
Depends: strigi-daemon, ${misc:Depends}, ${shlibs:Depends}
Description: Qt4 client for Strigi Desktop Search
 Strigi client is a Qt4 client (GUI) for the Strigi Desktop Search software.
 .
 This package is part of Strigi Desktop Search, it contains the Qt4 client.
 .
 See the 'strigi-daemon' package for more information.

Package: strigi-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: strigi-daemon (<< 0.3.11-1)
Description: command-line tools for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains utilities powered
 by Strigi:
  * deepfind, an enhanced version of find. It lists files embedded in other
    files like .deb, .rpm, .tar.gz, email attachments, and other files.
  * deepgrep, an enhanced version of grep. It searches in binary files like
    OpenOffice files, mp3s, Microsoft office files, pdfs and also in files
    embedded in other files like .deb, .rpm, .tar.gz, email attachments, pdf
    and other files.
  * xmlindexer, a program that outputs the file parsing results as xml.
    It walks through a directory and outputs an XML file containing all
    the metadata and text it can extract from the files it encounters.
    This means that the Strigi's powers of data extraction are now available
    to all applications that can parse XML simply by calling xmlindexer and
    parsing the output.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreams0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: strigi-daemon (<< 0.3.11-1)
Description: streams library for for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing clients using libstreams.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreams-dev
Architecture: any
Section: libdevel
Depends: libstreams0 (= ${binary:Version}), ${misc:Depends}
Description: development files for libstreams
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstreams.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreamanalyzer0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdegraphics-strigi-plugins (<< 4:4.0.0-2),
          libcluceneindex0 (<< 0.5.6-1),
          libstreamindexer0 (<< 0.5.1-1),
          strigi-daemon (<< 0.3.11-1)
Breaks: libcluceneindex0 (<< 0.5.6-1), libstreamindexer0 (<< 0.5.1-1)
Description: streamanalyzer library for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing clients using libstreamanalyzer.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreamanalyzer-dev
Architecture: any
Section: libdevel
Depends: libstreamanalyzer0 (= ${binary:Version}),
         libstreams-dev (= ${binary:Version}),
         ${misc:Depends}
Replaces: libcluceneindex-dev (<< 0.5.6-1), libstreamindexer-dev (<< 0.5.1-1)
Breaks: libcluceneindex-dev (<< 0.5.6-1), libstreamindexer-dev (<< 0.5.1-1)
Description: development files for libstreamanalyzer
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstreamanalyzer.
 .
 See the 'strigi-daemon' package for more information.

Package: libsearchclient0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: strigi-daemon (<< 0.3.11-1)
Description: searchclient library for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing clients.
 .
 See the 'strigi-daemon' package for more information.

Package: libsearchclient-dev
Architecture: any
Section: libdevel
Depends: libsearchclient0 (= ${binary:Version}),
         libstreamanalyzer-dev (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libsearchclient
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libsearchclient.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigihtmlgui0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for writing html clients for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing html clients.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigihtmlgui-dev
Architecture: any
Section: libdevel
Depends: libsearchclient-dev (= ${binary:Version}),
         libstrigihtmlgui0 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libstrigihtmlgui
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstrigihtmlgui.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigiqtdbusclient0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for writing D-Bus clients for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing Qt D-Bus clients for strigi.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigiqtdbusclient-dev
Architecture: any
Section: libdevel
Depends: libqt4-dev (>= 4.4.0~),
         libstreams-dev (= ${binary:Version}),
         libstrigiqtdbusclient0 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libstrigiqtdbusclient
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstrigiqtdbusclient.
 .
 See the 'strigi-daemon' package for more information.

Package: strigi-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libstreamanalyzer0 (= ${binary:Version}),
         libstreams0 (= ${binary:Version}),
         libstrigiqtdbusclient0 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for strigi
 This package contains the debugging symbols associated with strigi.
 .
 They will automatically be used by gdb for debugging strigi related issues.
