=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

FILENAME := $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
UPFILENAME := $(DEB_SOURCE_PACKAGE)-$(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/~/-/').tar.bz2
URL := http://www.vandenoever.info/software/strigi/$(UPFILENAME)
CURRENTVERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
LIBPKGS := $(shell dh_listpackages | grep libs | sed -e '/dev/d;')

%:
	dh $@ --parallel --list-missing --dbg-package=strigi-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON

override_dh_makeshlibs:
	dh_makeshlibs -V
	for pkg in $(LIBPKGS); do \
		sed 's/>=[^)]*/= $(CURRENTVERSION)/' debian/$$pkg/DEBIAN/shlibs >> debian/shlibs.local; \
	done

override_dh_clean:
	dh_clean
	rm -f debian/shlibs.local

override_dh_auto_test:

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ] || mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -N -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo Converting $(UPFILENAME) to $(FILENAME)
	@@bzcat ../tarballs/$(UPFILENAME) | gzip -9 > ../tarballs/$(FILENAME)
